Assignee:

Category: C++ Plugins

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 11789
Description

[[Maplnfo]] ogr driver doesn't work as expected using OGR Converter plugin. When running the plugin and choosing the [[MaplInfo]] driver
in source format just remote source is enabled File and directory are unabled.

History

#1 - 2009-06-11 10:51 AM - Paolo Cavallini

| cannot confirm: in my installation (QGIS self compiled from trunk on Debian testing) | can select [[Maplnfo]] files, but when | select a target directory and
press the run button, | get a segfault

#2 - 2009-06-23 01:28 AM - Paolo Cavallini

| confirm the segfault

#3 - 2009-07-09 02:34 PM - Giovanni Manghi

Same on Ubuntu 9.04 with Qgis from trunk: | cannot open the mapinfo files trough the ogr converter (remote source enabled, File and directory disabled).

#4 - 2009-07-09 02:38 PM - Giovanni Manghi

By the way: it is possible to open mapinfo files trough the normal "add vector" dialog window, so | guess is better to change the title.

#5 - 2009-08-05 01:48 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

| gave a closer look to this and | have to admit that at the end it works, at least with the latest development version of ggis under both linux and windows.

It happens that under linux the "dataset" field misses the "browse" button, but if you enter by hand the path were the mapinfo files reside, then you can click
"connect" and see in "layers" the list of available ones.

Under windows there is the "browse" button so no problem at all.

#6 - 2009-08-11 05:35 AM - Giovanni Manghi
- Status changed from Closed to Feedback
- Resolution deleted (wontfix)

It would be better to add the "browse" button also under linux. As said under windows there is already and it works, under OsX | don't know.

#7 - 2010-01-26 04:35 PM - sowelu -

QGIS trunk

Kubuntu 9.10 AMD6&4

GDAL 1.8dev
When | choose a ESRI Shapefile and supply an input filename name then
choose target format of "Maplnfo File" and press Browse nothing happens at
all. If you then just press OK it tells you that the target dataset is
missing. | had a look at the code and it looks to me like the line
add( Format( "MaplInfo", "Maplnfo File", Format::eFile ) );
in format.cpp has the "MaplInfo" and "Maplnfo File" around the wrong way.
If you reverse these and re-compile, QGIS then allows you to choose the
output target file, but then crashes when you press OK. Looking in the
target directory, OGR Converter writes out the dat, id and map files, but
there is no tab file. If you just enter a name (ie. without '.tab') as the
target filename, it creates a directory and writes the dat, id and map
files, again without the tab.
My GDAL appears to be working as | can do the conversion using ogr2ogr.

Roland

#8 - 2011-03-04 09:51 AM - Paolo Cavallini
- Status changed from Feedback to Closed

- Resolution set to wontfix

Plugin removed as per commit:f557e5d6 (SVN r15332)
